Subject: Re: linux-next: manual merge of the rdma tree with Linus' tree

From: Jason Gunthorpe <[email-masked]>
Date: Wed, 10 Feb 2021 16:36:41 -0400

On Wed, Feb 10, 2021 at 06:57:24PM +0000, Pearson, Robert B wrote:

> It looks like f1b0a8ea9f12 ("Revert "RDMA/rxe: Remove VLAN code
> leftovers from RXE"") has not been applied to rdma for-next which is
> where I do my work. Not sure how it got upstream.

It was sent to the rc tree, don't worry this is stuff I fix up.

Stephen's note is to help ensure it is fixed properly, does the change
look OK? It looks like this when applied (I changed Stephen's slightly)

static int rxe_udp_encap_recv(struct sock *sk, struct sk_buff *skb)
{
	struct udphdr *udph;
	struct rxe_dev *rxe;
	struct net_device *ndev = skb->dev;
	struct rxe_pkt_info *pkt = SKB_TO_PKT(skb);

	/* takes a reference on rxe->ib_dev
	 * drop when skb is freed
	 */
	rxe = rxe_get_dev_from_net(ndev);
	if (!rxe && is_vlan_dev(rdev))
		rxe = rxe_get_dev_from_net(vlan_dev_real_dev(ndev));
	if (!rxe)
		goto drop;

Jason